Skip to content

Get Device

Request

Gets a single managed device matching the ID from the token-linked endpoint management source.

Operation ID: endpointmanagement_get_device

Security
BearerAuth
Path
idstring(Id)required
Query
metaArray of strings

Add metadata to the response by invoking meta functions. Documentation for meta functions is available. Not all meta functions are available at every endpoint.

curl
curl -i -X GET \
  'https://api.synqly.com/v1/endpoint-management/devices/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Bodyapplication/json
resultobject(ocsfv1.3.0inventoryinfoInventoryInfo)required

A single device matching the ID.

messagesobject or null(MessagesResponse)

Additional messages from the service response that may be helpful to the client.

metaobject or null(MetaResponse)

Various metadata about the results organized by group, then type, then field.

Response
{ "result": { "activity_id": 0, "activity_name": "string", "actor": { … }, "api": { … }, "category_name": "string", "category_uid": 0, "class_uid": 0, "cloud": { … }, "count": 0, "custom_fields": {}, "device": { … }, "duration": 0, "end_time": 0, "end_time_dt": "2019-08-24T14:15:22Z", "enrichments": [ … ], "message": "string", "metadata": { … }, "observables": [ … ], "osint": [ … ], "raw_data": "string", "severity": "string", "severity_id": 0, "start_time": 0, "start_time_dt": "2019-08-24T14:15:22Z", "status": "string", "status_code": "string", "status_detail": "string", "status_id": 0, "time": 0, "time_dt": "2019-08-24T14:15:22Z", "timezone_offset": 0, "type_name": "string", "type_uid": 0, "unmapped": {} }, "messages": { "problems": [ … ] }, "meta": { "stats": { … }, "api": { … }, "mapping": { … } } }